Subject: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Tino Calancha <[email-masked]>
Date: Thu, 21 Jun 2018 10:31:01 +0900 (JST)

On Wed, 20 Jun 2018, Noam Postavsky wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>> I'm for fixing this in Emacs 26.2, but I still don't think I
>> understand why the latest patch proposed in the discussion of this bug
>> needs to "steal" so much from comint.el?
>>
>> Also, why does term-watch-for-password-prompt need to be invoked via a
>> hook?
>
> I don't these things are really required; as far as I understand, Tino
> did it that way in order to be safer: the "stealing" is to avoid loading
> comint.el, and using the hook is to keep the code closer to the already
> working example it's being copied from.
Exactly, I almost forgot this stuff.  Noam now understands my patch better
than me.  Feel free to adjust it as you wish, you are very smart.